# Get Chiefdoms

| **API URL**     | {{url}}/spice-service/data/chiefdoms/{id} |
| --------------- | ----------------------------------------- |
| **Method**      | POST                                      |
| **Description** | Get chiefdom details by id                |

#### **Input:** <a href="#getchiefdoms-v2-input" id="getchiefdoms-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| id                     | Integer  | Yes           | Chiefdoms id                                                                                                                            |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | mob                                                                                                                                     |

#### **Output:** <a href="#getchiefdoms-v2-output" id="getchiefdoms-v2-output"></a>

| **Field Name**      | **Type** | **Comments**          |
| ------------------- | -------- | --------------------- |
| id                  | Integer  | chiefdom id           |
| name                | String   | chiefdom Name         |
| code                | String   | Code for chiefdom     |
| tenantId            | Bigint   | tenant id             |
| countryId           | Bigint   | Country Id            |
| districtName        | String   | District Name         |
| healthFacilityCount | Bigint   | Health facility count |
| users               | String   | Users of chiefdom     |
| districtId          | Bigint   | District id           |
| districtTenantId    | Bigint   | District Tenant Id    |

#### **Sample Output:** <a href="#getchiefdoms-v2-sampleoutput" id="getchiefdoms-v2-sampleoutput"></a>

```
{
  "id": 1,
  "name": "South Chennai",
  "code": "0001",
  "tenantId": 3,
  "countryId": 1,
  "districtName": null,
  "healthFacilityCount": null,
  "users": null,
  "districtId": 1,
  "districtTenantId": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/get-chiefdoms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
